Phone & voice · Phone Numbers
Submits a KYC.
POST
https://api.pozy.ai/v1/phone-numbers/kycsubmitPhoneNumberKyc
Guides: KYC for regulated countries, Phone numbers
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the telephony resource group disabled get 403 resource_group_disabled. Authentication
Request body
application/json, required
profileIdstringrequiredcountrystringrequiredsubmissionIdstringquantityintegerDefault
1. 1 to 5.reusebooleanreuseOptionIdstringreuseFromstringareaCodestringMatches
^\d{1,4}$.phoneNumberstringMatches
^\+[1-9]\d{6,14}$.preOrderbooleanendUserFirstNamestringendUserLastNamestringvaluesmap of stringdocumentsarray of objectOne of:
Option 1 (3 fields)
requirementIdstringrequiredfilenamestringrequiredbase64stringrequired
Option 2 (3 fields)
requirementIdstringrequireddocumentIdstringrequiredissuedAtstring (date)
addressobject10 child fields
requirementIdstringcountry_codestringbusiness_namestringfirst_namestringlast_namestringstreet_addressstringextended_addressstringlocalitystringadministrative_areastringpostal_codestring
Example
curl -X POST "https://api.pozy.ai/v1/phone-numbers/kyc" \
-H "Authorization: Bearer $POZY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"profileId": "6a0b6573846efc28aaa9a3ff",
"country": "US"
}'const res = await fetch("https://api.pozy.ai/v1/phone-numbers/kyc", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.POZY_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
profileId: "6a0b6573846efc28aaa9a3ff",
country: "US"
}),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.post(
"https://api.pozy.ai/v1/phone-numbers/kyc",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
json={
"profileId": "6a0b6573846efc28aaa9a3ff",
"country": "US",
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
statusstringOne of
kyc_submitted,kyc_reused,kyc_already_submitted.preOrderbooleanphoneNumberobjectidstringstatusstringcountrystring
numbersarray of objectidstringstatusstringphoneNumberstringcountrystring
200 response
{
"status": "kyc_submitted",
"preOrder": true,
"phoneNumber": {
"id": "6bfebd43ddc270f6d2c56fc5",
"status": "active",
"country": "US"
},
"numbers": [
{
"id": "6bfebd43ddc270f6d2c56fc5",
"status": "active",
"phoneNumber": "+14155550123",
"country": "US"
}
]
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is read-only, scoped to other profiles, or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Phone Numbers
GETList phone numbersGETGet phone numberDELRelease phone numberPOSTPurchase phone numberGETResolve a number claimGETList offerable number countriesGETSearch available numbersGETCheck country availabilityGETGet KYC form specGETView a KYC document on filePOSTUpload a KYC documentPOSTPre-validate KYC addressPOSTCreate a hosted KYC linkGETList port-in ordersPOSTPort numbers inPOSTCheck portabilityGETResolve a port claimPOSTUpload a porting documentGETCountry porting requirementsGETA port-in order's pending requirementsDELCancel a port-inPOSTPre-review a KYC packetGETGet declined requirementsPOSTResubmit a declined numberPOSTReply to the regulatory reviewerPOSTRespond to the regulatory reviewer (message + corrections)GETList stock watchesPOSTWatch an out-of-stock countryDELStop watching a countryPOSTRequest the WhatsApp verification code for a number